Page MenuHomePhabricator

[betalabs] ERR_TOO_MANY_REDIRECTS when RC preference option "Show only likely problem edits (and hide probably good edits)" enabled
Closed, ResolvedPublic

Description

  1. In betalabs disable "New filters for edit review" beta feature.
  2. Go to Preferences - Recent changes and enable "Show only likely problem edits (and hide probably good edits)"
  3. Try to go to 'Recent changes' page - loading the page times out:

Clearing cookies doesn't help.

GET https://en.wikipedia.beta.wmflabs.org/wiki/Special:RecentChanges net::ERR_TOO_MANY_REDIRECTS

Note: the same issue for Watchlist when Preference-Watchlist "Show only likely problem edits (and hide probably good edits)" option is enabled.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2017, 12:07 AM
Etonkovidova renamed this task from [betalabs] ERR_TOO_MANY_REDIRECTS when RC preference option "Show only likely problem edits (and hide probably good edits)" enaled to [betalabs] ERR_TOO_MANY_REDIRECTS when RC preference option "Show only likely problem edits (and hide probably good edits)" enabled .May 6 2017, 12:09 AM
Etonkovidova updated the task description. (Show Details)May 6 2017, 12:14 AM
SBisson claimed this task.May 8 2017, 12:39 PM
SBisson triaged this task as High priority.

Change 352584 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] RC Filters: Single boolean filters are not contradictory

https://gerrit.wikimedia.org/r/352584

Change 352584 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: Single boolean filters are not contradictory

https://gerrit.wikimedia.org/r/352584

Checked the fix in betalabs.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.May 11 2017, 4:46 PM